#[derive(Debug)]
pub struct MetaInfo {
    pub name: String,
    pub value: String,
}

impl<'a> From<(&'a str, &'a str)> for MetaInfo {
    fn from((name, value): (&'a str, &'a str)) -> Self {
        Self {
            name: name.to_string(),
            value: value.to_string(),
        }
    }
}

impl<'a> From<(&'a String, &'a str)> for MetaInfo {
    fn from((name, value): (&'a String, &'a str)) -> Self {
        Self {
            name: name.to_string(),
            value: value.to_string(),
        }
    }
}

impl<'a> From<(&'a str, &'a String)> for MetaInfo {
    fn from((name, value): (&'a str, &'a String)) -> Self {
        Self {
            name: name.to_string(),
            value: value.to_string(),
        }
    }
}

impl<'a> From<(&'a String, &'a String)> for MetaInfo {
    fn from((name, value): (&'a String, &'a String)) -> Self {
        Self {
            name: name.to_string(),
            value: value.to_string(),
        }
    }
}
